############################################################################
# FILE:        setup.py                                                    #
# Copyright (C) 2001, Neil Macneale <mac4-pyipc@theory.org>                #
#                                                                          #
# This library is free software; you can redistribute it and/or modify it  #
# under the terms of the GNU Lesser General Public License as published by #
# the Free Software Foundation; either version 2.1 of the License, or (at  #
# your option) any later version.                                          #
#                                                                          #
# This library is distributed in the hope that it will be useful, but      #
# WITHOUT ANY WARRANTY; without even the implied warranty of               #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser #
# General Public License for more details.                                 #
#                                                                          #
# You should have received a copy of the GNU Lesser General Public License #
# along with this library; if not, write to the Free Software Foundation,  #
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA             #
#                                                                          # 
############################################################################

from distutils.core import setup, Extension

setup(name="pyipc",
      version="1.1",
      description="Python Interface to System V IPC",
      author="Neil Macneale",
      author_email="mac4-pyipc@theory.org",
      url="http://www.theory.org/~mac4/software/",
      py_modules = ['pyipc'],
      ext_modules=[Extension("ipcmod", ["ipcmod.c", 
                                        "ftokmod.c",
                                        "msgmod.c",
                                        "rawmem.c",
                                        "semmod.c",
                                        "shmmod.c"
                                       ]
                             )
                  ]
)

