#Autogenerated class
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyInteger
from bioMoby.mobyDataTypes import MobyFloat
from Multi_key_value_pair import MobyMulti_key_value_pair
from bioMoby.mobyDataTypes import MobyObject


class MobyBasicGFFSequenceFeature(MobyObject):
    """ Description: An object containing all components necessary to represent a simple GFF-compliant sequence feature (the content is NOT validated against the GFF specification)
        Author: www.illuminae.com
        Contact: markw@illuminae.com
    """
    def __init__(self,namespace="",id="",Reference="",Source="",Method="",Start=0,Stop=0,Score=0.0,Strand="",Frame="",Phase="",Column9_tag_value=[],articleName=""):
        self._articles={"Reference":"reference","Source":"source","Method":"method","Start":"start","Stop":"stop","Score":"score","Strand":"strand","Frame":"frame","Phase":"phase","Column9_tag_value":"column9_tag_value"}
        self.namespace=namespace
        self.id=id
        self.Reference=Reference
        self.Source=Source
        self.Method=Method
        self.Start=Start
        self.Stop=Stop
        self.Score=Score
        self.Strand=Strand
        self.Frame=Frame
        self.Phase=Phase
        self.Column9_tag_value=Column9_tag_value
        self._tag="BasicGFFSequenceFeature"
        self._articleName=articleName
        self._cross=None


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from xml.dom.minidom import parseString, Node, NodeList
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self._articleName=doc.getAttribute("moby:articleName")
        if self._articleName=="":

            self._articleName=doc.getAttribute("articleName")
        self.Column9_tag_value=[]
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self._cross=[]
                for ref in elt.childNodes:
                    self._cross.append(ref.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="reference" or elt.getAttribute("moby:articleName")=="reference"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Reference=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="source" or elt.getAttribute("moby:articleName")=="source"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Source=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="method" or elt.getAttribute("moby:articleName")=="method"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Method=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="start" or elt.getAttribute("moby:articleName")=="start"):
                t=MobyInteger()
                t.fromMoby(elt.toxml())
                self.Start=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="stop" or elt.getAttribute("moby:articleName")=="stop"):
                t=MobyInteger()
                t.fromMoby(elt.toxml())
                self.Stop=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Float" or elt.nodeName=="moby:Float") and (elt.getAttribute("articleName")=="score" or elt.getAttribute("moby:articleName")=="score"):
                t=MobyFloat()
                t.fromMoby(elt.toxml())
                self.Score=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="strand" or elt.getAttribute("moby:articleName")=="strand"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Strand=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="frame" or elt.getAttribute("moby:articleName")=="frame"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Frame=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="phase" or elt.getAttribute("moby:articleName")=="phase"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Phase=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="multi_key_value_pair" or elt.nodeName=="moby:multi_key_value_pair") and (elt.getAttribute("articleName")=="column9_tag_value" or elt.getAttribute("moby:articleName")=="column9_tag_value"):
                self.Column9_tag_value=MobyMulti_key_value_pair()
                self.Column9_tag_value.fromMoby(elt.toxml())
        del parseString, Node, NodeList