#Autogenerated class
from bioMoby.mobyDataTypes import MobyInteger
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobyGermplasm_List(MobyObject):
    """ Description: ICIS Germplasm List with a particular Property
        Author: www.iris.irri.org
        Contact: mulat@cgiar.org
    """
    def __init__(self,namespace="",id="",Germplasm_id=0,Germplasm_name="",Trait_value="",Trait_id=0,Scale="",Scale_desc="",Method="",Study_id="",articleName=""):
        self._articles={"Germplasm_id":"germplasm_id","Germplasm_name":"germplasm_name","Trait_value":"trait_value","Trait_id":"trait_id","Scale":"scale","Scale_desc":"scale_desc","Method":"method","Study_id":"study_id"}
        self.namespace=namespace
        self.id=id
        self.Germplasm_id=Germplasm_id
        self.Germplasm_name=Germplasm_name
        self.Trait_value=Trait_value
        self.Trait_id=Trait_id
        self.Scale=Scale
        self.Scale_desc=Scale_desc
        self.Method=Method
        self.Study_id=Study_id
        self._tag="Germplasm_List"
        self._articleName=articleName
        self._cross=None


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from xml.dom.minidom import parseString, Node, NodeList
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self._articleName=doc.getAttribute("moby:articleName")
        if self._articleName=="":

            self._articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self._cross=[]
                for ref in elt.childNodes:
                    self._cross.append(ref.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="germplasm_id" or elt.getAttribute("moby:articleName")=="germplasm_id"):
                t=MobyInteger()
                t.fromMoby(elt.toxml())
                self.Germplasm_id=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="germplasm_name" or elt.getAttribute("moby:articleName")=="germplasm_name"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Germplasm_name=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="trait_value" or elt.getAttribute("moby:articleName")=="trait_value"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Trait_value=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="trait_id" or elt.getAttribute("moby:articleName")=="trait_id"):
                t=MobyInteger()
                t.fromMoby(elt.toxml())
                self.Trait_id=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="scale" or elt.getAttribute("moby:articleName")=="scale"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Scale=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="scale_desc" or elt.getAttribute("moby:articleName")=="scale_desc"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Scale_desc=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="method" or elt.getAttribute("moby:articleName")=="method"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Method=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="study_id" or elt.getAttribute("moby:articleName")=="study_id"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Study_id=t.content
        del parseString, Node, NodeList