#Autogenerated class
from bioMoby.mobyDataTypes import MobyInteger
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobyICIS_Query(MobyObject):
    """ Description: Text Query for IRIS which allows wildcards
        Author: www.iris.irri.org
        Contact: mulat@cgiar.org
    """
    def __init__(self,namespace="",id="",End_row=0,Start_row=0,Search_text="",articleName=""):
        self._articles={"End_row":"end_row","Start_row":"start_row","Search_text":"search_text"}
        self.namespace=namespace
        self.id=id
        self.End_row=End_row
        self.Start_row=Start_row
        self.Search_text=Search_text
        self._tag="ICIS_Query"
        self._articleName=articleName
        self._cross=None


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from xml.dom.minidom import parseString, Node, NodeList
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self._articleName=doc.getAttribute("moby:articleName")
        if self._articleName=="":

            self._articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self._cross=[]
                for ref in elt.childNodes:
                    self._cross.append(ref.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="end_row" or elt.getAttribute("moby:articleName")=="end_row"):
                t=MobyInteger()
                t.fromMoby(elt.toxml())
                self.End_row=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="start_row" or elt.getAttribute("moby:articleName")=="start_row"):
                t=MobyInteger()
                t.fromMoby(elt.toxml())
                self.Start_row=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="search_text" or elt.getAttribute("moby:articleName")=="search_text"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Search_text=t.content
        del parseString, Node, NodeList