#Autogenerated class
from bioMoby.mobyDataTypes import MobyString
from Interactor import MobyInteractor
from bioMoby.mobyDataTypes import MobyObject


class MobyInteraction(MobyObject):
    """ Description: An interaction object, in native BioMOBY format. It has one or more interactors, a method and a result
        Author: pdg.cnb.uam.es
        Contact: jmfernandez@cnb.uam.es
    """
    def __init__(self,namespace="",id="",Result="",ResultUnits="",Participant=[],articleName=""):
        self._articles={"Result":"result","ResultUnits":"resultUnits","Participant":"participant"}
        self.namespace=namespace
        self.id=id
        self.Result=Result
        self.ResultUnits=ResultUnits
        self.Participant=Participant
        self._tag="Interaction"
        self._articleName=articleName
        self._cross=None


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from xml.dom.minidom import parseString, Node, NodeList
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self._articleName=doc.getAttribute("moby:articleName")
        if self._articleName=="":

            self._articleName=doc.getAttribute("articleName")
        self.Participant=[]
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self._cross=[]
                for ref in elt.childNodes:
                    self._cross.append(ref.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="result" or elt.getAttribute("moby:articleName")=="result"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Result=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="resultUnits" or elt.getAttribute("moby:articleName")=="resultUnits"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.ResultUnits=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Interactor" or elt.nodeName=="moby:Interactor") and (elt.getAttribute("articleName")=="participant" or elt.getAttribute("moby:articleName")=="participant"):
                self.Participant=MobyInteractor()
                self.Participant.fromMoby(elt.toxml())
        del parseString, Node, NodeList