#Autogenerated class
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobyMGIS_ACCESSION(MobyObject):
    """ Description: Accessions in the MGIS database
        Author: biomoby.inibap.org
        Contact: m.rouard@cgiar.org
    """
    def __init__(self,namespace="",id="",Biotic_stress_Yellowsig="",McpdORIGCTY="",MgisSECTION="",McpdSPECIES="",McpdCOLLCODE="",Biotic_stress_Blacksig="",Biotic_stress_Fusarium="",Biotic_stress_pseudomonas="",Biotic_stress_Radopholus="",Biotic_stress_Pratylenchuscof="",Biotic_stress_Pratylenchusgood="",Biotic_stress_cosmopolites="",Abiotic_stress_Lowtemp="",Abiotic_stress_Drought="",Abiotic_stress_Flooding="",Abiotic_stress_Mineraldef="",Abiotic_stress_Winds="",Abiotic_stress_Soilacidity="",Abiotic_stress_Manganesetox="",Abiotic_stress_Hightemp="",articleName=""):
        self._articles={"Biotic_stress_Yellowsig":"Biotic_stress_Yellowsig","McpdORIGCTY":"mcpd:ORIGCTY","MgisSECTION":"mgis:SECTION","McpdSPECIES":"mcpd:SPECIES","McpdCOLLCODE":"mcpd:COLLCODE","Biotic_stress_Blacksig":"Biotic_stress_Blacksig","Biotic_stress_Fusarium":"Biotic_stress_Fusarium","Biotic_stress_pseudomonas":"Biotic_stress_pseudomonas","Biotic_stress_Radopholus":"Biotic_stress_Radopholus","Biotic_stress_Pratylenchuscof":"Biotic_stress_Pratylenchuscof","Biotic_stress_Pratylenchusgood":"Biotic_stress_Pratylenchusgood","Biotic_stress_cosmopolites":"Biotic_stress_cosmopolites","Abiotic_stress_Lowtemp":"Abiotic_stress_Lowtemp","Abiotic_stress_Drought":"Abiotic_stress_Drought","Abiotic_stress_Flooding":"Abiotic_stress_Flooding","Abiotic_stress_Mineraldef":"Abiotic_stress_Mineraldef","Abiotic_stress_Winds":"Abiotic_stress_Winds","Abiotic_stress_Soilacidity":"Abiotic_stress_Soilacidity","Abiotic_stress_Manganesetox":"Abiotic_stress_Manganesetox","Abiotic_stress_Hightemp":"Abiotic_stress_Hightemp"}
        self.namespace=namespace
        self.id=id
        self.Biotic_stress_Yellowsig=Biotic_stress_Yellowsig
        self.McpdORIGCTY=McpdORIGCTY
        self.MgisSECTION=MgisSECTION
        self.McpdSPECIES=McpdSPECIES
        self.McpdCOLLCODE=McpdCOLLCODE
        self.Biotic_stress_Blacksig=Biotic_stress_Blacksig
        self.Biotic_stress_Fusarium=Biotic_stress_Fusarium
        self.Biotic_stress_pseudomonas=Biotic_stress_pseudomonas
        self.Biotic_stress_Radopholus=Biotic_stress_Radopholus
        self.Biotic_stress_Pratylenchuscof=Biotic_stress_Pratylenchuscof
        self.Biotic_stress_Pratylenchusgood=Biotic_stress_Pratylenchusgood
        self.Biotic_stress_cosmopolites=Biotic_stress_cosmopolites
        self.Abiotic_stress_Lowtemp=Abiotic_stress_Lowtemp
        self.Abiotic_stress_Drought=Abiotic_stress_Drought
        self.Abiotic_stress_Flooding=Abiotic_stress_Flooding
        self.Abiotic_stress_Mineraldef=Abiotic_stress_Mineraldef
        self.Abiotic_stress_Winds=Abiotic_stress_Winds
        self.Abiotic_stress_Soilacidity=Abiotic_stress_Soilacidity
        self.Abiotic_stress_Manganesetox=Abiotic_stress_Manganesetox
        self.Abiotic_stress_Hightemp=Abiotic_stress_Hightemp
        self._tag="MGIS_ACCESSION"
        self._articleName=articleName
        self._cross=None


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from xml.dom.minidom import parseString, Node, NodeList
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self._articleName=doc.getAttribute("moby:articleName")
        if self._articleName=="":

            self._articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self._cross=[]
                for ref in elt.childNodes:
                    self._cross.append(ref.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Biotic_stress_Yellowsig" or elt.getAttribute("moby:articleName")=="Biotic_stress_Yellowsig"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Biotic_stress_Yellowsig=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="mcpd:ORIGCTY" or elt.getAttribute("moby:articleName")=="mcpd:ORIGCTY"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.McpdORIGCTY=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="mgis:SECTION" or elt.getAttribute("moby:articleName")=="mgis:SECTION"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.MgisSECTION=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="mcpd:SPECIES" or elt.getAttribute("moby:articleName")=="mcpd:SPECIES"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.McpdSPECIES=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="mcpd:COLLCODE" or elt.getAttribute("moby:articleName")=="mcpd:COLLCODE"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.McpdCOLLCODE=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Biotic_stress_Blacksig" or elt.getAttribute("moby:articleName")=="Biotic_stress_Blacksig"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Biotic_stress_Blacksig=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Biotic_stress_Fusarium" or elt.getAttribute("moby:articleName")=="Biotic_stress_Fusarium"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Biotic_stress_Fusarium=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Biotic_stress_pseudomonas" or elt.getAttribute("moby:articleName")=="Biotic_stress_pseudomonas"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Biotic_stress_pseudomonas=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Biotic_stress_Radopholus" or elt.getAttribute("moby:articleName")=="Biotic_stress_Radopholus"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Biotic_stress_Radopholus=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Biotic_stress_Pratylenchuscof" or elt.getAttribute("moby:articleName")=="Biotic_stress_Pratylenchuscof"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Biotic_stress_Pratylenchuscof=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Biotic_stress_Pratylenchusgood" or elt.getAttribute("moby:articleName")=="Biotic_stress_Pratylenchusgood"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Biotic_stress_Pratylenchusgood=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Biotic_stress_cosmopolites" or elt.getAttribute("moby:articleName")=="Biotic_stress_cosmopolites"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Biotic_stress_cosmopolites=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Abiotic_stress_Lowtemp" or elt.getAttribute("moby:articleName")=="Abiotic_stress_Lowtemp"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Abiotic_stress_Lowtemp=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Abiotic_stress_Drought" or elt.getAttribute("moby:articleName")=="Abiotic_stress_Drought"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Abiotic_stress_Drought=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Abiotic_stress_Flooding" or elt.getAttribute("moby:articleName")=="Abiotic_stress_Flooding"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Abiotic_stress_Flooding=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Abiotic_stress_Mineraldef" or elt.getAttribute("moby:articleName")=="Abiotic_stress_Mineraldef"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Abiotic_stress_Mineraldef=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Abiotic_stress_Winds" or elt.getAttribute("moby:articleName")=="Abiotic_stress_Winds"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Abiotic_stress_Winds=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Abiotic_stress_Soilacidity" or elt.getAttribute("moby:articleName")=="Abiotic_stress_Soilacidity"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Abiotic_stress_Soilacidity=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Abiotic_stress_Manganesetox" or elt.getAttribute("moby:articleName")=="Abiotic_stress_Manganesetox"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Abiotic_stress_Manganesetox=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Abiotic_stress_Hightemp" or elt.getAttribute("moby:articleName")=="Abiotic_stress_Hightemp"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Abiotic_stress_Hightemp=t.content
        del parseString, Node, NodeList