#Autogenerated class
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobyPhenotypeDescription(MobyObject):
    """ Description: Object containing a description of the morphological features of a species
        Author: http://arabidopsis.info
        Contact: beatrice@arabidopsis.info
    """
    def __init__(self,namespace="",id="",Phenotype="",articleName=""):
        self._articles={"Phenotype":"Phenotype"}
        self.namespace=namespace
        self.id=id
        self.Phenotype=Phenotype
        self._tag="PhenotypeDescription"
        self._articleName=articleName
        self._cross=None


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from xml.dom.minidom import parseString, Node, NodeList
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self._articleName=doc.getAttribute("moby:articleName")
        if self._articleName=="":

            self._articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self._cross=[]
                for ref in elt.childNodes:
                    self._cross.append(ref.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Phenotype" or elt.getAttribute("moby:articleName")=="Phenotype"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Phenotype=t.content
        del parseString, Node, NodeList