#Autogenerated class
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobySchematikonStructureAnnotation(MobyObject):
    """ Description: DSSP, STRIDE, and PROMOTIF annotation for a Schematikon structure segment / structure motif
        Author: schematikon.org
        Contact: boris.steipe@utoronto.ca
    """
    def __init__(self,namespace="",id="",PROMOTIFGammaTurn="",PROMOTIFBetaTurn="",DSSP="",STRIDE="",articleName=""):
        self._articles={"PROMOTIFGammaTurn":"PROMOTIF gamma-turn","PROMOTIFBetaTurn":"PROMOTIF beta-turn","DSSP":"DSSP","STRIDE":"STRIDE"}
        self.namespace=namespace
        self.id=id
        self.PROMOTIFGammaTurn=PROMOTIFGammaTurn
        self.PROMOTIFBetaTurn=PROMOTIFBetaTurn
        self.DSSP=DSSP
        self.STRIDE=STRIDE
        self._tag="SchematikonStructureAnnotation"
        self._articleName=articleName
        self._cross=None


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from xml.dom.minidom import parseString, Node, NodeList
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self._articleName=doc.getAttribute("moby:articleName")
        if self._articleName=="":

            self._articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self._cross=[]
                for ref in elt.childNodes:
                    self._cross.append(ref.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="PROMOTIF gamma-turn" or elt.getAttribute("moby:articleName")=="PROMOTIF gamma-turn"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.PROMOTIFGammaTurn=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="PROMOTIF beta-turn" or elt.getAttribute("moby:articleName")=="PROMOTIF beta-turn"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.PROMOTIFBetaTurn=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="DSSP" or elt.getAttribute("moby:articleName")=="DSSP"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.DSSP=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="STRIDE" or elt.getAttribute("moby:articleName")=="STRIDE"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.STRIDE=t.content
        del parseString, Node, NodeList