#Autogenerated class
from bioMoby.mobyDataTypes import MobyFloat
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobyTargetP_result(MobyObject):
    """ Description: The results of a TargetP (http://www.cbs.dtu.dk/services/TargetP/) prediction
        Author: atidb.org
        Contact: sean.walsh@bbsrc.ac.uk
    """
    def __init__(self,namespace="",id="",O_score=0.0,S_score=0.0,M_score=0.0,C_score=0.0,Compartment="",articleName=""):
        self._articles={"O_score":"o_score","S_score":"s_score","M_score":"m_score","C_score":"c_score","Compartment":"compartment"}
        self.namespace=namespace
        self.id=id
        self.O_score=O_score
        self.S_score=S_score
        self.M_score=M_score
        self.C_score=C_score
        self.Compartment=Compartment
        self._tag="TargetP_result"
        self._articleName=articleName
        self._cross=None


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from xml.dom.minidom import parseString, Node, NodeList
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self._articleName=doc.getAttribute("moby:articleName")
        if self._articleName=="":

            self._articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self._cross=[]
                for ref in elt.childNodes:
                    self._cross.append(ref.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Float" or elt.nodeName=="moby:Float") and (elt.getAttribute("articleName")=="o_score" or elt.getAttribute("moby:articleName")=="o_score"):
                t=MobyFloat()
                t.fromMoby(elt.toxml())
                self.O_score=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Float" or elt.nodeName=="moby:Float") and (elt.getAttribute("articleName")=="s_score" or elt.getAttribute("moby:articleName")=="s_score"):
                t=MobyFloat()
                t.fromMoby(elt.toxml())
                self.S_score=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Float" or elt.nodeName=="moby:Float") and (elt.getAttribute("articleName")=="m_score" or elt.getAttribute("moby:articleName")=="m_score"):
                t=MobyFloat()
                t.fromMoby(elt.toxml())
                self.M_score=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Float" or elt.nodeName=="moby:Float") and (elt.getAttribute("articleName")=="c_score" or elt.getAttribute("moby:articleName")=="c_score"):
                t=MobyFloat()
                t.fromMoby(elt.toxml())
                self.C_score=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="compartment" or elt.getAttribute("moby:articleName")=="compartment"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Compartment=t.content
        del parseString, Node, NodeList