#Autogenerated class
from bioMoby.mobyDataTypes import MobyInteger
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobyTestout(MobyObject):
    """ Description: Test output object
        Author: www.iris.irri.org
        Contact: mulat@cgiar.org
    """
    def __init__(self,namespace="",id="",Gid=0,Dvalue="",Scaleid=0,Tmethid=0,articleName=""):
        self._articles={"Gid":"gid","Dvalue":"dvalue","Scaleid":"scaleid","Tmethid":"tmethid"}
        self.namespace=namespace
        self.id=id
        self.Gid=Gid
        self.Dvalue=Dvalue
        self.Scaleid=Scaleid
        self.Tmethid=Tmethid
        self._tag="testout"
        self._articleName=articleName
        self._cross=None


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from xml.dom.minidom import parseString, Node, NodeList
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self._articleName=doc.getAttribute("moby:articleName")
        if self._articleName=="":

            self._articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self._cross=[]
                for ref in elt.childNodes:
                    self._cross.append(ref.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="gid" or elt.getAttribute("moby:articleName")=="gid"):
                t=MobyInteger()
                t.fromMoby(elt.toxml())
                self.Gid=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="dvalue" or elt.getAttribute("moby:articleName")=="dvalue"):
                t=MobyString()
                t.fromMoby(elt.toxml())
                self.Dvalue=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="scaleid" or elt.getAttribute("moby:articleName")=="scaleid"):
                t=MobyInteger()
                t.fromMoby(elt.toxml())
                self.Scaleid=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="tmethid" or elt.getAttribute("moby:articleName")=="tmethid"):
                t=MobyInteger()
                t.fromMoby(elt.toxml())
                self.Tmethid=t.content
        del parseString, Node, NodeList