#Autogenerated class
from TropGENE_LOCUS import MobyTropGENE_LOCUS
from bioMoby.mobyDataTypes import MobyObject


class MobyTropGENE_ACCESSION(MobyObject):
    """ Description: Germplasm accessions in the TropGENE database
        Author: tropgenedb.cirad.fr
        Contact: manuel.ruiz@cirad.fr
    """
    def __init__(self,namespace="",id="",RFLP=[],AFLP=[],RAPD=[],Isozyme=[],Polyphenol=[],Morphological=[],Microsatellite=[],SNP=[],CAPS=[],TAMPL=[],articleName=""):
        self._articles={"RFLP":"RFLP","AFLP":"AFLP","RAPD":"RAPD","Isozyme":"Isozyme","Polyphenol":"Polyphenol","Morphological":"Morphological","Microsatellite":"Microsatellite","SNP":"SNP","CAPS":"CAPS","TAMPL":"TAMPL"}
        self.namespace=namespace
        self.id=id
        self.RFLP=RFLP
        self.AFLP=AFLP
        self.RAPD=RAPD
        self.Isozyme=Isozyme
        self.Polyphenol=Polyphenol
        self.Morphological=Morphological
        self.Microsatellite=Microsatellite
        self.SNP=SNP
        self.CAPS=CAPS
        self.TAMPL=TAMPL
        self._tag="TropGENE_ACCESSION"
        self._articleName=articleName
        self._cross=None


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from xml.dom.minidom import parseString, Node, NodeList
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self._articleName=doc.getAttribute("moby:articleName")
        if self._articleName=="":

            self._articleName=doc.getAttribute("articleName")
        self.RFLP=[]
        self.AFLP=[]
        self.RAPD=[]
        self.Isozyme=[]
        self.Polyphenol=[]
        self.Morphological=[]
        self.Microsatellite=[]
        self.SNP=[]
        self.CAPS=[]
        self.TAMPL=[]
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self._cross=[]
                for ref in elt.childNodes:
                    self._cross.append(ref.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="RFLP" or elt.getAttribute("moby:articleName")=="RFLP"):
                self.RFLP=MobyTropGENE_LOCUS()
                self.RFLP.fromMoby(elt.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="AFLP" or elt.getAttribute("moby:articleName")=="AFLP"):
                self.AFLP=MobyTropGENE_LOCUS()
                self.AFLP.fromMoby(elt.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="RAPD" or elt.getAttribute("moby:articleName")=="RAPD"):
                self.RAPD=MobyTropGENE_LOCUS()
                self.RAPD.fromMoby(elt.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="Isozyme" or elt.getAttribute("moby:articleName")=="Isozyme"):
                self.Isozyme=MobyTropGENE_LOCUS()
                self.Isozyme.fromMoby(elt.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="Polyphenol" or elt.getAttribute("moby:articleName")=="Polyphenol"):
                self.Polyphenol=MobyTropGENE_LOCUS()
                self.Polyphenol.fromMoby(elt.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="Morphological" or elt.getAttribute("moby:articleName")=="Morphological"):
                self.Morphological=MobyTropGENE_LOCUS()
                self.Morphological.fromMoby(elt.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="Microsatellite" or elt.getAttribute("moby:articleName")=="Microsatellite"):
                self.Microsatellite=MobyTropGENE_LOCUS()
                self.Microsatellite.fromMoby(elt.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="SNP" or elt.getAttribute("moby:articleName")=="SNP"):
                self.SNP=MobyTropGENE_LOCUS()
                self.SNP.fromMoby(elt.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="CAPS" or elt.getAttribute("moby:articleName")=="CAPS"):
                self.CAPS=MobyTropGENE_LOCUS()
                self.CAPS.fromMoby(elt.toxml())
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="TropGENE_LOCUS" or elt.nodeName=="moby:TropGENE_LOCUS") and (elt.getAttribute("articleName")=="TAMPL" or elt.getAttribute("moby:articleName")=="TAMPL"):
                self.TAMPL=MobyTropGENE_LOCUS()
                self.TAMPL.fromMoby(elt.toxml())
        del parseString, Node, NodeList