from bioMoby import ObjectClass, Service

zmPDB=ObjectClass(
    authURI=prot3.rpbs.jussieu.fr', 
    contactEmail='yanwong@ebgm.jussieu.fr', 
    description='a WIP of a compacted and encoded PDB file
    objectType=zPDB
    relationships=[('ISA',{'':'text-base64'})]
    )

print "Registration of zmPDB"
    
resultat=zmPDB.register()


if resultat.isSuccess():
    print "registration successful"
else:
    print resultat.message
    raise Exception

strideOutputRegistration=ObjectClass(
    authURI='prot3.rpbs.jussieu.fr', 
    contactEmail='yanwong@ebgm.jussieu.fr', 
    description='the result of a Stride process', 
    objectType='StrideOutput', 
    relationships=[('ISA', {'': 'Object'}),('HAS',{'SEQ':'String', 'STR':'String'})]
    )

print "Stride output registration"
    
resultat=strideOutputRegistration.register()

if resultat.isSuccess():
    print "registration successful"
else:
    print resultat.message
    raise Exception


service=Service(
    {'category':'moby', 
     'name':'getStrideFromPDB', 
     'type':'Analysis', 
     'url':'http://prot3.rpbs.jussieu.fr:8080/ZStrideService/ZStrideService.py', 
     'signatureURL':'http://prot3.rpbs.jussieu.fr:8080/RDF',
     'authoritative':0, 
     'contactEmail':'yanwong@ebgm.jussieu.fr',
     'authURI':'prot3.rpbs.jussieu.fr',
     'description':'This is a service that uses stride, it takes as argument a compressed PDB file',
     'inputObjects':[ServiceArticle(name='', type='ZPDB',namespaces=[])],
     'outputObjects': [ServiceArticle(name='', type='StrideOutput',namespaces=[])],
     'secondary':[ServiceSecondary(name="threshold", type="float", default="0.5", min="-1", max="1")]
     })

resultat=service.register()

if resultat.isSuccess():
    print "Service registration successful"
    print resultat.RDF
else:
    print resultat.message
    raise Exception
